Subject: bug#52117: closed (Re: [bug#52117] [core-updates-frozen] [PATCH 0/6] Fix Julia packages.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 27 Nov 2021 06:32:02 +0000

Your bug report

#52117: [core-updates-frozen] [PATCH 0/6] Fix Julia packages.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52117: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52117
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#52117] [core-updates-frozen] [PATCH 0/6] Fix Julia packages.
From: Maxim Cournoyer <[email-masked]>
To: zimoun <[email-masked]>
Cc: [email-masked]
Date: Sat, 27 Nov 2021 01:31:35 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Simon,

zimoun <[email-masked]> writes:

> Hi,
>
> With this series, all the Julia packages builds again.  The only one still
> missing is 'julia-sundials-jll’.  It probably requires to introduce something
> to julia-build-system but I have not investigated much.
>
>
> Cheers,
> simon
>
>
> zimoun (6):
>   gnu: julia: Test correctly '#:parallel-tests?'.
>   build: julia-build-system: Correctly disable parallel tests.
>   gnu: julia-aqua: Disable parallel tests.
>   gnu: julia-interpolations: Disable parallel tests.
>   gnu: julia-requires: Disable parallel tests.
>   gnu: julia-unitful: Disable parallel tests.
>
>  gnu/packages/julia-xyz.scm        | 8 ++++++++
>  gnu/packages/julia.scm            | 9 ++++-----
>  guix/build/julia-build-system.scm | 8 +++++---
>  3 files changed, 17 insertions(+), 8 deletions(-)
>
>
> base-commit: 138498feec335f68935f00f8a97924c90c7f59b0

Now pushed to core-updates-frozen; I've made some changes to the
build-system one after finding out that --procs meant "adding" cores,
rather than specifying their exact count (and you cannot add 0!).

The parallel build of Julia packages uses a ton of RAM, but it's fast!
:-).

Thanks a lot,

Maxim

Subject: [core-updates-frozen] [PATCH 0/6] Fix Julia packages.
From: zimoun <[email-masked]>
To: [email-masked]
Cc: zimoun <[email-masked]>
Date: Fri, 26 Nov 2021 00:32:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

With this series, all the Julia packages builds again.  The only one still
missing is 'julia-sundials-jll’.  It probably requires to introduce something
to julia-build-system but I have not investigated much.

Cheers,
simon

zimoun (6):
  gnu: julia: Test correctly '#:parallel-tests?'.
  build: julia-build-system: Correctly disable parallel tests.
  gnu: julia-aqua: Disable parallel tests.
  gnu: julia-interpolations: Disable parallel tests.
  gnu: julia-requires: Disable parallel tests.
  gnu: julia-unitful: Disable parallel tests.

 gnu/packages/julia-xyz.scm        | 8 ++++++++
 gnu/packages/julia.scm            | 9 ++++-----
 guix/build/julia-build-system.scm | 8 +++++---
 3 files changed, 17 insertions(+), 8 deletions(-)

base-commit: 138498feec335f68935f00f8a97924c90c7f59b0
-- 
2.32.0